import requests
import pytest

from utils.gmhttp import require_login
from .livecase import LiveCase
from conf import settings


class LiveServices(LiveCase):
    '''获取直播间美购列表'''

    @pytest.mark.get
    @require_login(settings.LIVE_USER)
    def test_live_services(self):
        '''
        获取直播间美购列表
        '''
        rep = self.live_services()
        self.assertEqual(rep['error'], 0, rep)
        self.assertIsInstance(rep['data']['services'], list, rep)  # 不做具体内容判断，在添加的用例里会有相关部分判断

        print('获取直播间美购列表成功！')
